chiark / gitweb /
test suite: gpg-agent workaround: Add more debugging output.
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Fri, 29 Jun 2018 11:11:56 +0000 (12:11 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Fri, 29 Jun 2018 11:11:57 +0000 (12:11 +0100)
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
debian/changelog
tests/tstunt/gpg-withagent

index 41a6710..7850597 100644 (file)
@@ -1,3 +1,9 @@
+dgit (5.5+exp5~) experimental; urgency=medium
+
+  * test suite: gpg-agent workaround: Add more debugging output.
+
+ --
+
 dgit (5.5+exp4) experimental; urgency=medium
 
   * test suite: Add bc to appropriate test Depends.
index 4cb5d4e..d7fe793 100755 (executable)
@@ -1,9 +1,18 @@
 #!/bin/sh
 set -ex
 
+d () {
+       date --iso-8601=ns >&2
+       ps -ef | grep gpg-agent >&2
+}
+
+d
+
 retry_until_ok () {
        sleeptime=0
+       d
        while ! "$@"; do
+               d
                case $sleeptime in
                ??.*)
                        echo >&2 "$0: GPG AGENT STARTP $@ TIMED OUT"
@@ -29,12 +38,16 @@ retry_until_ok agent_is_running
 
 echo >&2 'GPG-WITHAGENT... RUNNING'
 
+d
+
 set +e
 $DGIT_TEST_REAL_GPG                                    \
        --agent-program=$DGIT_STUNT_AGENT "$@"
 rc=$?
 set -e
 
+d
+
 echo >&2 'GPG-WITHAGENT... STOPPING'
 
 kill_agent_not_running () {
@@ -48,4 +61,6 @@ retry_until_ok kill_agent_not_running
 
 echo >&2 'GPG-WITHAGENT... DONE'
 
+d
+
 exit $rc